import { useQuery } from "@tanstack/react-query";
import { getBarcodeTemplateSizesOptions } from "@/lib/client/@tanstack/react-query.gen";

const useBarcodeTemplateSizesList = () => {
    const { isLoading, data, refetch } = useQuery(
        getBarcodeTemplateSizesOptions()
    );

    return { barcodeTemplateSizes: data?.items ?? [], refetch, isLoading };
};

export default useBarcodeTemplateSizesList;
